Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.Collections

'Klasa Bridge przekazuje dane
'do klas prezentujących dane

Public Class ListBridge
  Implements Bridger
  Private visL As VisList
  '-----
  Public Sub New(ByVal vis As VisList)
    MyBase.New()
    visL = vis                    'referencja do obiektu prezentującego dane
  End Sub
  '-----
  'Dodanie tablicy produktów
  Public Sub addData(ByVal col As ArrayList) Implements Bridger.addData
    Dim i As Integer
    Dim p As Product

    'dodanie danych z tabeli do obiektu prezentującego dane
    For i = 0 To col.Count - 1
      p = CType(col(i), Product)
      visL.addLine(p)
    Next i
  End Sub
End Class
